/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilefunctioncodeparser
#define headerfilefunctioncodeparser

#include <cstring>
#include <cstdlib>
#include "function.h"
#include "item.h"
#include "log.h"


class FunctionCodeParser
{
	bool ContentHasOneRow(const Item & item);
	int ParseValue(const char * s);


public:

	int Parse(const Item & item);

};




#endif
