/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"










void Content::FunCat()
{
	if( !request.is_item )
	{
		log << log1 << "Content: Cat function requires an item" << logend;
		request.status = Error::item_required;
		return;
	}

	
	if( !request.HasReadAccess(request.item) )
	{
		request.status = Error::permision_denied;
		return;
	}
}


